<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class TdfmRemoveTables extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     * @throws Throwable
     */
    public function up(): void
    {
        if (Schema::hasColumn('tdfm_files', 'tdfm_directory_id')) {
            Schema::table('tdfm_files', function (Blueprint $table) {
                $table->dropForeign('tdfm_files_tdfm_directory_id_foreign');
                $table->dropColumn('tdfm_directory_id');
            });
        }
        if (Schema::hasTable('tdfm_directory')) {
            Schema::dropIfExists('tdfm_directory');
        }

        if (Schema::hasTable('tdfm_file_localizations')) {
            Schema::dropIfExists('tdfm_file_localizations');
        }
        if (!Schema::hasTable('files_manager')) {
            Schema::rename('tdfm_files', 'files_manager');
        }
        \Illuminate\Support\Facades\Cache::flush();
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     * @throws Throwable
     */
    public function down()
    {
    }
}
